#include <iostream>
using namespace std;
int main(){

    long long int x1,x2,y1,y2,rez=0;
    cin >> x1 >> y1 >> x2 >> y2;

    if((x1-x2)==(y1-y2)){
        rez = 1;
    }
    if(x1==x2){
        rez = 2;
    }
    if(y1==y2){
        rez = 2;
    }
    cout << rez;
}